Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # MutableHomogeneousPixelConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename P> struct boost::gil::MutableHomogeneousPixelConcept< P > Homogeneous pixel concept that allows for changing its channels.
    concept MutableHomogeneousPixelConcept<HomogeneousPixelConcept P> : MutableHomogeneousColorBaseConcept<P> {
        P::template element_reference_type<P>::type operator[](P p, std::size_t i) { return dynamic_at_c(p,i); }
    };
## Public Member Functions
void | constraints ()
## Public Attributes
P | p
The documentation for this struct was generated from the following file: gil_concept.hpp